package core.process;

import java.util.ArrayList;
import java.util.List;

public class Condition {
    public List<Process> getProcesses() {
        return processes;
    }

    private List<Process> processes;
    public Process get(int index){
        return processes.get(index);
    }
    public Condition(List<Process> processes){
        this.processes=processes;
    }
    public Condition(){
        processes = new ArrayList<>();
    }
    public void add(Process process){
        this.processes.add(process);
    }
    public void add(List<Process> processes){
        this.processes.addAll(processes);
    }
}
